%define upstream_name    SOAP-WSDL
%define upstream_version 3.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    SOAP with WSDL support
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SOAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(CGI)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Class::Std::Fast) >= 0.0.5
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Format)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Storable)
BuildRequires: perl(Template) >= 2.180.0
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod::Content)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Test::XML)
BuildRequires: perl(URI)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::Parser::Expat)
BuildRequires: perl(diagnostics)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(utf8)
BuildArch:  noarch

Provides:   perl(SOAP::WSDL::Header)

%description
SOAP::WSDL provides easy access to Web Services with WSDL descriptions.

The WSDL is parsed and stored in memory.

Your data is serialized according to the rules in the WSDL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL installdirs=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes HACKING LICENSE META.json META.yml MIGRATING MYMETA.yml README TODO example
%{_bindir}/wsdl2perl.pl
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/SOAP


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 3.4.0-3.mga9
+ Revision: 1830292
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 3.4.0-2.mga8
+ Revision: 1543902
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 tv <tv> 3.4.0-1.mga8
+ Revision: 1482279
- update to 3.004
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 3.3.0-4.mga7
+ Revision: 1271200
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 3.3.0-3.mga6
+ Revision: 1033182
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 3.3.0-2.mga6
+ Revision: 967515
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 3.3.0-1.mga6
+ Revision: 849145
- update to 3.003

* Wed Oct 15 2014 umeabot <umeabot> 3.1.0-3.mga5
+ Revision: 748097
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.0-2.mga5
+ Revision: 686136
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 3.1.0-1.mga5
+ Revision: 669911
- update to v3.001

* Fri Jun 06 2014 jquelin <jquelin> 2.0.10-13.mga5
+ Revision: 633966
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 2.0.10-12.mga5
+ Revision: 606106
- perl 5.18.2 rebuild

* Tue Jan 21 2014 shlomif <shlomif> 2.0.10-11.mga4
+ Revision: 567344
- Cancel tests due to failures
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ jquelin <jquelin>
- perl 5.18.0 rebuild

* Wed Mar 27 2013 guillomovitch <guillomovitch> 2.0.10-8.mga3
+ Revision: 405822
- disable failing tests
+ jquelin <jquelin>
- perl 5.16.3 rebuild
- perl 5.16.2 shebang rebuild
- perl 5.16.1 rebuild
- rebuild to fix new shebang with perl 5.16
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 14 2011 jquelin <jquelin> 2.0.10-3.mga2
+ Revision: 155205
- adding missing buildrequires:
- perl 5.14.2 rebuild

* Sun Jun 19 2011 jquelin <jquelin> 2.0.10-2.mga2
+ Revision: 109893
- rebuild script for perl 5.14.1

* Mon Jan 24 2011 jquelin <jquelin> 2.0.10-1.mga1
+ Revision: 36991
- using build.pl
- mageia rebuild
- imported package perl-SOAP-WSDL


* Wed May 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.10-1mdv2010.0
+ Revision: 377830
- update to new version 2.00.10

* Tue Feb 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.09-1mdv2009.1
+ Revision: 344390
- update to new version 2.00.09

* Mon Feb 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.08-1mdv2009.1
+ Revision: 344218
- update to new version 2.00.08

* Mon Dec 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.06-1mdv2009.1
+ Revision: 312022
- update to new version 2.00.06

* Thu Aug 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.05-3mdv2009.0
+ Revision: 272152
- correctly fix dependencies

* Wed Aug 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.05-2mdv2009.0
+ Revision: 271603
- fix dependencies

* Wed Aug 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.05-1mdv2009.0
+ Revision: 271514
- import perl-SOAP-WSDL


* Wed Aug 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.05-1mdv2009.0
- initial mdv release, generated with cpan2dist

